Skip to main content
POST
/
{alias}
/
customers
/
clusters
/
{clusterId}
/
shipping-rules
Criar regra de frete
curl --request POST \
  --url https://api.dooki.com.br/v2/{alias}/customers/clusters/{clusterId}/shipping-rules \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "cluster_id": 123,
  "country": "<string>",
  "zipcode_min": 123,
  "zipcode_max": 123,
  "min_order_value": "<string>",
  "shipment_percent": 123
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/customers/clusters/{clusterId}/shipping-rules"

payload = {
"cluster_id": 123,
"country": "<string>",
"zipcode_min": 123,
"zipcode_max": 123,
"min_order_value": "<string>",
"shipment_percent": 123
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
cluster_id: 123,
country: '<string>',
zipcode_min: 123,
zipcode_max: 123,
min_order_value: '<string>',
shipment_percent: 123
})
};

fetch('https://api.dooki.com.br/v2/{alias}/customers/clusters/{clusterId}/shipping-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "cluster_id": 123,
      "name": "<string>",
      "country": "<string>",
      "zipcode_min": 123,
      "zipcode_max": 123,
      "min_order_value": 123,
      "shipment_discount_percent": 123,
      "created_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "updated_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      }
    }
  ]
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

clusterId
integer
required

ID do cluster

Body

application/json

Representa os dados necessários para criar ou atualizar uma regra de frete do cluster

cluster_id
integer
required

ID do cluster

country
string
required

País da regra de frete

zipcode_min
integer
required

CEP inicial

zipcode_max
integer
required

CEP final

min_order_value
string
required

Valor mínimo para compra

shipment_percent
number
required

Valor base de desconto para entrega

Response

Regra de frete criada com sucesso

data
Regra de frete de um cluster · object[]